// Erosion.h
// Chris Pocock 2014

#ifndef EROSION_H_
#define EROSION_H_

#include <opencv/cv.h>
#include <opencv/highgui.h>

using namespace cv;

class Erosion {

private:

	// Class variables
	int erosion_type;
	int erosion_elem;
	int erosion_size;
	Mat kernel_ero;
	int max_elem;
	int max_kernel_size;

public:

	// Class methods
	Erosion();
	virtual ~Erosion();
	void setupUi();
	void update();
	Mat erode(Mat& input);
};

#endif
